%define prefix  /usr
Summary: The XEmacs editor
Name: xemacs-mule
%define libver 21.2-b11
Version: 21.2.11
Release: 1a
Copyright: GPL
Group: Applications/Editors/Emacs
#Packager: Kaoru Fukui  <k_fukui@highway.ne.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

Requires    : glibc >= 2.0.108
Vendor      : Japanese PPC Linux Users' Group
Distribution: unofficial JRPM (public beta)

Source0: xemacs-%{version}.tar.bz2
Source1: xemacs-%{version}-elc.tar.bz2
Source2: xemacs-%{version}-info.tar.bz2
Source3: xemacs.wmconfig

Url:http://www.xemacs.org/
BuildRoot: /var/tmp/xemacs-root
Requires: xemacs-mule-sumo 

%description
XEmacs is a version of Emacs, compatible with and contain-
ing many improvements over GNU Emacs, written  by  Richard
Stallman  of  the Free Software Foundation.  It was origi-
nally based on an early release of GNU Emacs  Version  19,
and  has  tracked subsequent releases of GNU Emacs as they
have become available.

This XEmacs distribution has been split into different packages:
- xemacs-21.2        : the main part
- xemacs-info-21.2   : info 
- xemacs-el-21.2     : the elisp sources 

%package info 
Summary: info files for XEmacs
Group: Applications/Editors/Emacs
Requires: xemacs-mule

%description info
This package contains info files for XEmacs.

%package el
Summary: The source files of the standard elisp modules for XEmacs
Group: Applications/Editors/Emacs
Requires: xemacs-mule

%description el
This package contains the source files of the standard elisp
modules for XEmacs.  The package is not necessary to run Xemacs.


%prep
%setup -n xemacs-%{version} -q -b 1 -b 2

%build

./configure --cflags="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	--prefix=%{prefix} \
	--error-checking=none --debug=no \
	--with-xfs --with-pop \
	--with-mule --with-wnn --with-canna
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install-arch-dep 
make prefix=$RPM_BUILD_ROOT%{prefix} install-arch-indep 
make prefix=$RPM_BUILD_ROOT%{prefix} gzip-el

gzip -n -9f $RPM_BUILD_ROOT%{prefix}/lib/xemacs-%{libver}/info/*.inf*

# Build file listings. (and make movemail setgid mail on RHL)

DIR="$RPM_BUILD_ROOT%{prefix}/lib/xemacs-%{libver}"
EL="*.el.gz"

find $DIR -type d |
  sed -e "s#^$RPM_BUILD_ROOT#%dir #" > rpm-files.in

find $DIR -name $EL -type f |
  sed -e "s#^$RPM_BUILD_ROOT##" > rpm-el-files

find $DIR -not -name $EL -type f |
  sed -e "
    s#^$RPM_BUILD_ROOT\(.*movemail\)#%attr(2755, root, mail) \1#
    s#^$RPM_BUILD_ROOT##
  " >> rpm-files.in

cat rpm-files.in | grep -v "%{prefix}/lib/xemacs-%{libver}/info" > rpm-files
cat rpm-files.in | grep "%{prefix}/lib/xemacs-%{libver}/info" > rpm-info-files

# Include wmconfig file if RedHat 5.0 or greater.

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/X11/wmconfig
cp $RPM_SOURCE_DIR/xemacs.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xemacs
echo "%config /etc/X11/wmconfig/xemacs" >> rpm-files


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files -f rpm-files
%defattr(-,root,root)
%doc BUGS README COPYING GETTING.GNU.SOFTWARE PROBLEMS 
%{prefix}/bin
%{prefix}/man
%{prefix}/lib/xemacs


%files -f rpm-el-files el
%defattr(-,root,root)

%files -f rpm-info-files info
%defattr(-,root,root)


%changelog
* Fri Jun 25 1999  Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- modified destination prefix

* Tue Mar 03 1999  Kaoru Fukui <fukui@ppc.linux.or.jp>
- update to xemacs-21.2.11

* Sat Feb 13 1999  Kaoru Fukui <fukui@ppc.linux.or.jp>
- create this rpm.spec file for xemacs.






